package uk.co.trinitylogic.skyfall.controller;

import java.security.Principal;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import uk.co.trinitylogic.skyfall.service.SearchService;

@Controller
public class SearchController {

	protected final Log logger = LogFactory.getLog(getClass());

	@Autowired
	SearchService searchService;

	@RequestMapping(value = "/updateIndex", method = RequestMethod.GET)
	public String updateIndex(ModelMap model, Principal principal) {
		logger.info("Update the search index's");
		searchService.updateIndex();
		return "index";
	}

}
