package uk.co.trinitylogic.skyfall.convertors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.convert.converter.Converter;

import uk.co.trinitylogic.skyfall.form.Service;
import uk.co.trinitylogic.skyfall.service.ServiceService;

final class StringToServiceConvertor implements Converter<String, Service> {

	@Autowired
	private ServiceService serviceService;

	@Override
	public Service convert(String source) {
		return serviceService.getService(Integer.valueOf(source));
	}
}