package uk.co.trinitylogic.skyfall.dao;

import java.util.List;

import uk.co.trinitylogic.skyfall.form.Enquirer;

public interface EnquirerDAO {

	public void addEnquirer(Enquirer enquirer);

	public boolean hasEnquired(Enquirer enquirer);

	public Enquirer getEnquirer(Integer id);

	public List<Enquirer> getEnquirer(String email);

	public List<Enquirer> listEnquirer();

	public List<Enquirer> listUnsubscribes();

	public void updateEnquirer(Enquirer enquirer);

}
