package uk.co.trinitylogic.skyfall.dao;

import java.util.List;

import uk.co.trinitylogic.skyfall.form.Service;

public interface ServiceDAO {

	public void addService(Service service);

	public Service getService(Integer id);

	public void removeService(Integer id);

	public void updateService(Service service);

	public List<Service> listService();

	public List<Service> listLiveService();

	public List<Service> listServiceWithMemberCount();

	public void hideService(Integer id);
}
