package uk.co.trinitylogic.skyfall.form;

import java.util.Comparator;

public class AdviceComparator implements Comparator<Advice> {
	@Override
	public int compare(Advice current, Advice other) {
		if (current.getCreated() == null) {
			return -1;
		}
		if (other.getCreated() == null) {
			return 1;
		}
		return current.getCreated().compareTo(other.getCreated());
	}
}
