package uk.co.trinitylogic.skyfall.form;

import java.util.List;

import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

public class Mail {

	@NotEmpty
	private String subject;

	@NotEmpty
	private String body;

	private List<Service> services;

	private Member member;

	private List<Member> list;

	private CommonsMultipartFile csvFile;

	private boolean doubleOptIn = false;

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public List<Service> getServices() {
		return services;
	}

	public void setServices(List<Service> services) {
		this.services = services;
	}

	public Member getMember() {
		return member;
	}

	public void setMember(Member member) {
		this.member = member;
	}

	public List<Member> getList() {
		return list;
	}

	public void setList(List<Member> list) {
		this.list = list;
	}

	public CommonsMultipartFile getCsvFile() {
		return csvFile;
	}

	public void setCsvFile(CommonsMultipartFile csvFile) {
		this.csvFile = csvFile;
	}

	public boolean isDoubleOptIn() {
		return doubleOptIn;
	}

	public void setDoubleOptIn(boolean doubleOptIn) {
		this.doubleOptIn = doubleOptIn;
	}
}
