<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>

<form:form method="post" action="optin-add-enquirer-submit"
	commandName="enquirer">
	<input type="hidden" name="serviceId" value="30">
	<table width="100%">
		<tr class="divider-bottom">
			<td width="100%" colspan="2"><div id="heading">
					<spring:message code="add-enquirer.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="created">
					<spring:message code="enquirer.created" />
				</form:label></td>
			<td width="75%"><form:input readonly="true" path="created" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="email">
					<spring:message code="enquirer.email" />
				</form:label></td>
			<td width="75%"><form:input path="email" /></td>
		</tr>
		<tr class="input">
			<td width="25%"></td>
			<td width="75%"><input type="submit"
				value="<spring:message code="enquirer.addenquirer"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td width="100%" colspan="2"></td>
		</tr>
	</table>
</form:form>