<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<c:if test="${!empty members}">
	<table >
		<tr>
			<td><div id="heading">
					<spring:message code="list-service-member.heading" />
					${service.name}
				</div></td>
		</tr>
		<tr>
			<td><display:table cellpadding="5" cellspacing="5" export="true" id="member" name="members"
					pagesize="10"
					requestURI="/list-service-member-full-${service.serviceId}">

					<display:setProperty name="export.csv.filename"
						value="MemberDetailsForServiceId-${service.serviceId}.csv" />

					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${member.memberId}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Created">
						<c:out value="${member.created}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Title">
						<c:out value="${member.title}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Name">
						<c:out value="${member.forename}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Middle">
						<c:out value="${member.middlename}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Surname">
						<c:out value="${member.surname}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Address 1">
						<c:out value="${member.address1}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Address 2">
						<c:out value="${member.address2}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Town">
						<c:out value="${member.town}" />
					</display:column>
					<display:column class="content" headerClass="header" title="County">
						<c:out value="${member.county}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Postcode">
						<c:out value="${member.postcode}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Country">
						<c:out value="${member.country}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Hilite">
						<c:out value="${member.hilite}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Cleaned">
						<c:out value="${member.hiliteDateCleaned}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Country">
						<c:out value="${member.country}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Mobile">
						<c:out value="${member.mobile}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Promo">
						<c:out value="${member.mobileOptIn}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Bets">
						<c:out value="${member.mobileOptInForBets}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Home">
						<c:out value="${member.telephoneHome}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Work">
						<c:out value="${member.telephoneWork}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Email1">
						<c:out value="${member.email1}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="OptIn">
						<c:out value="${member.email1OptIn}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Bets">
						<c:out value="${member.email1OptInBets}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Email2">
						<c:out value="${member.email2}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="OptIn">
						<c:out value="${member.email2OptIn}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Postal">
						<c:out value="${member.postalOptIn}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Double">
						<c:out value="${member.doubleOptIn}" />
					</display:column>
				</display:table></td>
		</tr>
	</table>
</c:if>

<c:if test="${empty members}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-service-member.empty" />
				</div></td>
		</tr>
	</table>
</c:if>