<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:if test="${!empty serviceList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-service-success.heading" />
				</div></td>
		</tr>
		<tr>
			<td><display:table export="true" id="service" name="serviceList"
					requestURI="/list-service">

					<display:setProperty name="export.csv.filename"
						value="Full-Service-List.csv" />

					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${service.serviceId}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Code">
						<c:out value="${service.shortCode}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Details">
						<c:out value="${service.description}" />
					</display:column>
					<display:column media="html" class="content" headerClass="header"
						title="Action [${memberCount}]">
						<a href="hide-service-${service.serviceId}">Hide</a>  |
						<a href="update-service-${service.serviceId}">Update</a> |
						<a href="list-service-advice-all-${service.serviceId}">Results</a> |  <a
							href="list-service-member-${service.serviceId}">Members </a> |  <a
							href="list-service-member-full-${service.serviceId}">Export </a>
							[${service.members}]
					</display:column>
					<display:column media="html" class="content" headerClass="header"
						title="Date Range DD/MM/YY">
						<form name="input"
							action="list-service-advice-between-${service.serviceId}"
							method="get">
							<input class="input" type="text" size="10" id="startDate"
								name="startDate"> <input class="input" type="text"
								size="10" id="endDate" name="endDate"> <input
								class="input" type="submit" value="GO">
						</form>
					</display:column>
				</display:table></td>
		</tr>
	</table>
</c:if>

<c:if test="${empty serviceList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-service-success.empty" />
				</div></td>
		</tr>
	</table>
</c:if>
