<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form:form method="post" action="j_spring_security_check">
	<table>
		<tr>
			<td colspan="2"><div id="heading">Login with Username and
					Password</div></td>
		</tr>
		<tr>
			<td colspan="2"><c:if test="${not empty error}">
					<div class="errorblock">
						Your login attempt was not successful due to
						${sessionScope["SPRING_SECURITY_LAST_EXCEPTION"].message}<br />
						Please try again....
					</div>
				</c:if></td>
		</tr>
		<tr>
			<td>Username:</td>
			<td><input type='text' name='j_username' value=''></td>
		</tr>
		<tr>
			<td>Password:</td>
			<td><input type='password' name='j_password' /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><input name="submit" type="submit" value="Login" /></td>
		</tr>
	</table>
</form:form>