<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>


<form:form method="post" onSubmit="return shouldContinue()"
	action="mail-member-submit" commandName="mail">
	<table>
		<tr class="divider-bottom">
			<td colspan="2"><div id="heading">
					<spring:message code="mail-member.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>

		<tr class="input">
			<td><form:label path="member">
					<spring:message code="mail.member" />
				</form:label></td>
			<td><form:input readonly="true" path="member.email1" /></td>
		</tr>
		<tr class="input">
			<td><form:label path="subject">
					<spring:message code="mail.subject" />
				</form:label></td>
			<td><form:input path="subject" /></td>
		</tr>
		<tr class="input">
			<td><form:label path="body">
					<spring:message code="mail.body" />
				</form:label></td>
			<td><form:textarea path="body" /></td>
		</tr>
		<tr class="input">
			<td></td>
			<td><input type="submit"
				value="<spring:message code="mail.member.submit"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td colspan="4"></td>
		</tr>
	</table>
</form:form>