<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>


<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>

<form:form method="post"
	action="send-daily-service-report-${service.serviceId}"
	commandName="reportPreview">

	<table width="100%">
		<tr>
			<td colspan="2"><div id="heading">
					<spring:message code="preview-daily-service-report-success.heading" />
				</div></td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="2">Preview content for the service ${service.name}</td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="mail">
					<spring:message code="reportPreview.mail" />
				</form:label></td>
			<td width="75%"><form:textarea path="mail" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="sendMail">
					<spring:message code="reportPreview.sendMail" />
				</form:label></td>
			<td width="75%"><form:checkbox path="sendMail" /></td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="text">
					<spring:message code="reportPreview.text" />
				</form:label></td>
			<td width="75%"><form:textarea path="text" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="sendText">
					<spring:message code="reportPreview.sendText" />
				</form:label></td>
			<td width="75%"><form:checkbox path="sendText" /></td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr class="input">
			<td width="25%"></td>
			<td width="75%"><input type="submit"
				value="<spring:message code="report.preview.submit"/>" /></td>
		</tr>
	</table>
</form:form>