<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form:form method="post" onSubmit="return shouldContinue()"
	action="update-service-submit-${service.serviceId}"
	commandName="service">
	<table width="100%">
		<tr class="divider-bottom">
			<td width="100%" colspan="2"><div id="heading">
					<spring:message code="update-service.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="name">
					<spring:message code="service.name" />
				</form:label></td>
			<td width="75%"><form:input path="name" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="shortCode">
					<spring:message code="service.short_code" />
				</form:label></td>
			<td width="75%"><form:input path="shortCode" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="description">
					<spring:message code="service.description" />
				</form:label></td>
			<td width="75%"><form:input path="description" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="live">
					<spring:message code="service.live" />
				</form:label></td>
			<td width="75%"><form:checkbox path="live" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="hidden">
					<spring:message code="service.hidden" />
				</form:label></td>
			<td width="75%"><form:checkbox path="hidden" /></td>
		</tr>
		<tr class="input">
			<td colspan="2" align="right"><input type="submit"
				value="<spring:message code="service.updateservice"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td width="100%" colspan="2"></td>
		</tr>
	</table>
</form:form>