package uk.co.trinitylogic.skyfall.dao;

import java.util.Date;
import java.util.List;

import uk.co.trinitylogic.skyfall.form.Advice;

public interface AdviceDAO {

	public void addAdvice(Advice advice);

	public void removeAdvice(Integer id);

	public void updateAdvice(Advice advice);

	public List<Advice> listAdvice();

	public Advice getAdvice(Integer id);

	public List<Advice> listDailyAdviceForService(Integer serviceId, Date today);

	public List<Advice> searchForAdvices(String search);

	public List<Advice> listAdvicesForService(
			uk.co.trinitylogic.skyfall.form.Service service, Date startDate,
			Date endDate);

	public List<Advice> listAllAdvicesForService(
			uk.co.trinitylogic.skyfall.form.Service service);
}
