package uk.co.trinitylogic.skyfall.service;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import uk.co.trinitylogic.skyfall.dao.TransactionDAO;
import uk.co.trinitylogic.skyfall.form.Transaction;

@Service
@Transactional
public class TransactionServiceImpl implements TransactionService {

	protected final Log logger = LogFactory.getLog(getClass());

	@Autowired
	private TransactionDAO transactionDAO;

	@Override
	public void addTransaction(Transaction transaction) {
		transactionDAO.addTransaction(transaction);
	}

	@Override
	public List<Transaction> listTransaction() {
		return transactionDAO.listTransaction();
	}

}
