<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:if test="${!empty services}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-daily-report-success.heading" />
				</div></td>
		</tr>
		<tr>
			<td><display:table id="service" name="services">
					<c:set var="advice" value="${service.advice}" />
					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${service.serviceId}" />&nbsp;&nbsp;
					</display:column>
					<display:column class="content" headerClass="header"
						title="Service Details">
						<c:out value="${service.shortCode}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Advice List">
						<c:out value="Total: [${fn:length(advice)}]" />
						<display:table id="advice" name="${advice}">

							<display:column class="content-advice">
								<c:out value="${advice.details}" />
							</display:column>
						</display:table>
					</display:column>

					<display:column class="content" headerClass="header" title="Action">
						<table>
							<tr>
								<td><a onclick="return shouldContinue()"
									href="send-both-daily-service-report-${service.serviceId}">Send Both</a>
									| <a href="preview-daily-service-report-${service.serviceId}">Preview</a></td>
							</tr>
						</table>
					</display:column>
				</display:table></td>
		</tr>
	</table>
</c:if>

<c:if test="${empty services}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-daily-report-success.empty" />
				</div></td>
		</tr>
	</table>
</c:if>
