<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<c:if test="${!empty enquirerList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-enquirer-success.heading" />
				</div></td>
		</tr>
		<tr>
			<td><display:table id="enquirer" export="true" name="enquirerList"
					pagesize="25" requestURI="/list-enquirer">
					<display:setProperty name="export.csv.filename"
						value="Full-Enquirer-List.csv" />
					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${enquirer.enquirerId}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Email">
						<c:out value="${enquirer.email}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Created">
						<c:out value="${enquirer.created}" />
					</display:column>		
				</display:table></td>
		</tr>
	</table>
</c:if>

<c:if test="${empty enquirerList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="list-enquirer-success.empty" />
				</div></td>
		</tr>
	</table>
</c:if>
