<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<c:if test="${!empty transactionList}">

	<table>
		<tr>
			<td><div id="heading">List of all Transactions</div></td>
		</tr>
		<tr>
			<td><display:table id="transaction" export="true"
					name="transactionList" pagesize="25" requestURI="/list-transaction">
					<display:setProperty name="export.csv.filename"
						value="Full-Transaction-List.csv" />

					<display:column class="content" headerClass="header" title="Date">
						<c:out value="${transaction.formattedCreated}" />
					</display:column>

					<display:column class="content" headerClass="header"
						title="Forename">
						<c:out value="${transaction.forename}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Surname">
						<c:out value="${transaction.surname}" />
					</display:column>

					<display:column class="content" headerClass="header" title="Email">
						<c:out value="${transaction.email}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Service">
						<c:out value="${transaction.service}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Total">
						<c:out value="${transaction.total}" />
					</display:column>

					<display:column class="content" headerClass="header"
						title="Billing Start Date">
						<c:out value="${transaction.billingStartDate}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Billing Frequency">
						<c:out value="${transaction.billingFrequency}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Credit Card Type">
						<c:out value="${transaction.creditCardType}" />
					</display:column>

				</display:table></td>
		</tr>

	</table>
</c:if>

<c:if test="${empty transactionList}">
	<table>
		<tr>
			<td><div id="heading">No Transactions</div></td>
		</tr>
	</table>
</c:if>