<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form:form method="post" action="mail-members-submit" commandName="mail" enctype="multipart/form-data">
	<table>
		<tr class="divider-bottom">
			<td colspan="2"><div id="heading">
					<spring:message code="mail-members.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>

		<tr class="input">
			<td><form:label path="services">
					<spring:message code="mail.services" />
				</form:label></td>
			<td><form:select path="services" multiple="true" size="10px">
					<form:options items="${serviceList}" itemValue="serviceId"
						itemLabel="name" />
				</form:select></td>
		</tr>
		<tr class="input">
			<td><form:label for="csvFile" path="csvFile">File</form:label></td>
			<td><form:input path="csvFile" type="file" /></td>
		</tr>		
		<tr class="input">
			<td><form:label path="doubleOptIn">
					<spring:message code="member.double_opt_in" />
				</form:label></td>
			<td><form:checkbox path="doubleOptIn" /></td>
		</tr>
		
		<tr class="input">
			<td><form:label path="subject">
					<spring:message code="mail.subject" />
				</form:label></td>
			<td><form:input path="subject" /></td>
		</tr>
		<tr class="input">
			<td><form:label path="body">
					<spring:message code="mail.body" />
				</form:label></td>
			<td><form:textarea path="body" /></td>
		</tr>
		<tr class="input">
			<td></td>
			<td><input type="submit"
				value="<spring:message code="mail.members.submit"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td colspan="4"></td>
		</tr>
	</table>
</form:form>