<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<table width="100%">
	<tr>
		<td colspan="3"><div id="heading">
				<spring:message code="rule-members-success.heading" />
			</div></td>
	</tr>
	<tr>
		<td>Match: ${fn:length(rule.match)} | <a
			href="mail-list-members-M">Mail</a> | <a href="text-list-members-M">Text</a>
		</td>
		<td>No Match: ${fn:length(rule.notmatch)} | <a
			href="mail-list-members-N">Mail</a> | <a href="text-list-members-N">Text</a>
		</td>
	</tr>
	<tr>
		<td valign="top">
			<table>
				<tr bgcolor="pink">
					<td valign="top"><display:table export="true" id="match"
							name="${rule.match}" requestURI="/rule-members-submit">
							<display:setProperty name="export.csv.filename" value="match.csv" />
							<display:column class="rule-member" headerClass="header"
								title="Name">
						${match.forename}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Surname">
						${match.surname}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Email">
						${match.email1}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Promo">
								${match.email1OptIn}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Mobile">
						${match.mobile}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Promo">
						${match.mobileOptIn}
					</display:column>
						</display:table></td>
				</tr>
			</table>
		</td>
		<td valign="top">
			<table>
				<tr bgcolor="lightgray">
					<td valign="top"><display:table export="true" id="notmatch"
							name="${rule.notmatch}" requestURI="/rule-members-submit">
							<display:setProperty name="export.csv.filename"
								value="notmatch.csv" />
							<display:column class="rule-member" headerClass="header"
								title="Name">
						${notmatch.forename}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Surname">
						${notmatch.surname}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Email">
						${notmatch.email1}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Promo">
								${notmatch.email1OptIn}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Mobile">
						${notmatch.mobile}
					</display:column>
							<display:column class="rule-member" headerClass="header"
								title="Promo">
						${notmatch.mobileOptIn}
					</display:column>
						</display:table></td>
				</tr>
			</table>
		</td>
	</tr>
</table>