<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<form:form method="post" action="rule-members-submit" commandName="rule">
	<table>
		<tr class="divider-bottom">
			<td colspan="2"><div id="heading">
					<spring:message code="rule-members.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>

		<tr class="input">
			<td><form:label path="services1">
					<spring:message code="rule.services1" />
				</form:label></td>
			<td><form:label path="services2">
					<spring:message code="rule.services2" />
				</form:label></td>
		</tr>
		<tr class="input">
			<td><form:select path="services1" multiple="true" size="10px">
					<form:options items="${service1}" itemValue="serviceId"
						itemLabel="name" />
				</form:select></td>
			<td><form:select path="services2" multiple="true" size="10px">
					<form:options items="${service2}" itemValue="serviceId"
						itemLabel="name" />
				</form:select></td>
		</tr>
		<tr class="input">
			<td></td>
			<td><input type="submit"
				value="<spring:message code="rule.members.submit"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td colspan="4"></td>
		</tr>
	</table>
</form:form>