<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<c:if test="${!empty searchAdviceList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="search-advice.heading" />
				</div></td>
		</tr>
		<tr>
			<td><display:table id="advice" name="searchAdviceList"
					pagesize="25" export="true" requestURI="/search-advice-submit">
					<display:setProperty name="export.csv.filename"
						value="Search-Advice-List.csv" />
					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${advice.adviceId}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Date">
						<c:out value="${advice.formattedCreated}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Service">
						<c:out value="${advice.service}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Course">
						<c:out value="${advice.course}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Time">
						<c:out value="${advice.time}" />
					</display:column>
					<display:column class="content" headerClass="header" title="No.">
						<c:out value="${advice.racecardNumber}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Bet">
						<c:out value="${advice.bet}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Market">
						<c:out value="${advice.market}" />
					</display:column>						
					<display:column class="content" headerClass="header"
						title="Bet Type">
						<c:out value="${advice.betType}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Odds">
						<c:out value="${advice.bestEarlyPriceEp}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Bookie">
						<c:out value="${advice.bestEpBookieExchange}" />
					</display:column>
					<display:column media="html" class="content" headerClass="header"
						title="Action">
						<a href="update-advice-${advice.adviceId}">Update</a> | 
						<a onclick="return shouldContinue()"
							href="delete-advice-${advice.adviceId}">Delete</a>							
					</display:column>
				</display:table></td>
		</tr>

	</table>
</c:if>

<c:if test="${empty searchAdviceList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="search-advice.empty" />
				</div></td>
		</tr>
	</table>
</c:if>