<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<c:if test="${!empty searchMemberList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="search-member.heading" />
				</div></td>
		</tr>
		<tr>
			<td><display:table id="member" name="searchMemberList"
					pagesize="25" export="true" requestURI="/search-member-submit">

					<display:setProperty name="export.csv.filename"
						value="Search-Member-List.csv" />

					<display:column class="content" headerClass="header" title="ID">
						<c:out value="${member.memberId}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Title">
						<c:out value="${member.title}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Name">
						<c:out value="${member.forename}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Surname">
						<c:out value="${member.surname}" />
					</display:column>
					<display:column class="content" headerClass="header"
						title="Postcode">
						<c:out value="${member.postcode}" />
					</display:column>	
					<display:column class="content" headerClass="header" title="Mobile">
						<c:out value="${member.mobile}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Bets">
						<c:out value="${member.mobileOptInForBets}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Promo">
						<c:out value="${member.mobileOptIn}" />
					</display:column>					
					<display:column class="content" headerClass="header" title="Email">
						<c:out value="${member.email1}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Bets">
						<c:out value="${member.email1OptInBets}" />
					</display:column>
					<display:column class="content" headerClass="header" title="Promo">
						<c:out value="${member.email1OptIn}" />
					</display:column>	
					<display:column media="html" class="content" headerClass="header"
						title="Action">
						<a href="update-member-${member.memberId}">View Details</a> | <a
							onclick="return shouldContinue()"
							href="delete-member-${member.memberId}">Delete</a>
					</display:column>
				</display:table></td>
		</tr>
	</table>
</c:if>

<c:if test="${empty searchMemberList}">
	<table>
		<tr>
			<td><div id="heading">
					<spring:message code="search-member.empty" />
				</div></td>
		</tr>
	</table>
</c:if>
