<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page import="java.text.DateFormat"%>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="java.util.Calendar"%>
<%
	DateFormat df = new SimpleDateFormat("yyyy-MM-dd");
	Calendar startDate = Calendar.getInstance();
%>

<table align="center">
	<tr>
		<td align="center"><div id="heading">
				<u>Matthew Walton - Secure Checkout</u>
			</div></td>
	</tr>
	<tr>
		<td><table>
				<tr>
					<td><table>
							<tr>
								<td align="center"><img src="image/mw.jpg"
									alt="Matthew Walton" height="280" width="281" /></td>
							</tr>
							<tr>
								<td align="center"><img src="image/mwalton-sig.gif"
									alt="Matthew Walton" height="58" width="194" /></td>
							</tr>
						</table></td>
					<td><table>
							<tr>
								<td><div id="heading-red">You're nearly there!</div></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>
							<tr>
								<td><div id="heading1">Just pop all your details in
										the secure form below and click the 'Join Now' button.</div></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>
							<tr>
								<td><div id="heading2">And so you know as well...</div></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>
							<tr>
								<td><div id="heading3">
										Depending upon the type of credit or debit card you use, the
										name <i>Matt Walton</i> or <i>Matthew Walton Ltd</i> will
										appear on your statement.
									</div></td>
							</tr>
						</table></td>
				</tr>
			</table></td>
	</tr>
	<tr>
		<td><table>
				<tr>
					<td><div id="heading3">
							You are about to pay for
							<c:out value="${checkout.service}" />
							for &pound;<c:out value="${checkout.price}" />
							+ VAT (&pound;<c:out value="${checkout.vat}" />
							) = &pound;<c:out value="${checkout.total}" />
							.
						</div></td>
				</tr>
				<tr class="firstLine">
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td><div id="heading3">Make sure you complete ALL your
							details below. Your address should be entered exactly as it
							appears on your statement.</div></td>
				</tr>
				<tr height="50" valign="middle">
					<td><table>
							<tr>
								<td width="200"><div id="heading3">Cards accepted:</div></td>
								<td align="left"><img src="image/logos.gif"
									alt="Cards accepted" height="45" width="145" /></td>
							</tr>
						</table></td>
				</tr>
				<tr class="firstLine">
					<td>&nbsp;</td>
				</tr>
			</table></td>
	</tr>
	<tr>
		<td><form:form method="post" action="do-secure-single-payment"
				commandName="checkout">
				<input type="hidden" name="price"
					value=<c:out value="${checkout.price}" />>
				<input type="hidden" name="vat"
					value=<c:out
							value="${checkout.vat}" />>
				<input type="hidden" name="service"
					value=<c:out
							value="${checkout.service}" />>
							
				<input type="hidden" name="total"
					value=<c:out
							value="${checkout.total}" />>
				<table>
					<tr>
						<td colspan="3"><form:errors path="*" cssClass="errorblock"
								element="div" /></td>
					</tr>
					<tr>
						<td width="300" valign="top"><table>
								<tr>
									<td colspan="2"><div id="heading1">About you:</div></td>
								</tr>
								<tr>
									<td colspan="2">&nbsp;</td>
								</tr>
								<tr class="input">
									<td>First Name</td>
									<td><form:input path="forename" /></td>
								</tr>
								<tr class="input">
									<td>Last Name</td>
									<td><form:input path="surname" /></td>
								</tr>
								<tr class="input">
									<td>Address</td>
									<td><form:input path="address" /></td>
								</tr>
								<tr class="input">
									<td>City</td>
									<td><form:input path="city" /></td>
								</tr>
								<tr class="input">
									<td>County</td>
									<td><form:input path="state" /></td>
								</tr>
								<tr class="input">
									<td>Country</td>
									<td><form:input path="country" /></td>
								</tr>
								<tr class="input">
									<td>Post Code</td>
									<td><form:input path="postcode" /></td>
								</tr>
								<tr class="input">
									<td>Email</td>
									<td><form:input path="email" /></td>
								</tr>
								<tr class="input">
									<td>Mobile</td>
									<td><form:input path="mobile" /></td>
								</tr>
							</table></td>
						<td width="300" valign="top"><table>
								<tr>
									<td colspan="2"><div id="heading1">About your card:</div></td>
								</tr>
								<tr>
									<td colspan="2">&nbsp;</td>
								</tr>
								<tr class="input">
									<td>Card Type</td>
									<td><form:select path="creditCardType">
											<form:option value="Visa">Visa</form:option>
											<form:option value="MasterCard">MasterCard</form:option>
											<form:option value="Maestro">Maestro</form:option>
										</form:select></td>
								</tr>
								<tr class="input">
									<td>Card Number</td>
									<td><form:input path="cardNumber" /></td>
								</tr>
								<tr class="input">
									<td>Security Number</td>
									<td><form:input path="securityNumber" /></td>
								</tr>
								<tr>
									<td colspan="2"><div id="help">
											<i>This is the last 3 digits on the reverse of your card
												near the signature strip.</i>
										</div></td>
								</tr>


								<tr class="input">
									<td>Issue Number</td>
									<td><form:input path="issue" /></td>
								</tr>
								<tr class="input">
									<td>Start Date (if present)</td>
									<td><form:select path="startMonth">
											<form:option value="0">--</form:option>
											<form:option value="1">Jan</form:option>
											<form:option value="2">Feb</form:option>
											<form:option value="3">Mar</form:option>
											<form:option value="4">Apr</form:option>
											<form:option value="5">May</form:option>
											<form:option value="6">Jun</form:option>
											<form:option value="7">Jul</form:option>
											<form:option value="8">Aug</form:option>
											<form:option value="9">Sep</form:option>
											<form:option value="10">Oct</form:option>
											<form:option value="11">Nov</form:option>
											<form:option value="12">Dec</form:option>
										</form:select> <form:select path="startYear">
											<form:option value="0">--</form:option>
											<form:option value="2009">2009</form:option>
											<form:option value="2010">2010</form:option>
											<form:option value="2011">2011</form:option>
											<form:option value="2012">2012</form:option>
											<form:option value="2013">2013</form:option>
											<form:option value="2014">2014</form:option>
										</form:select></td>
								</tr>
								<tr class="input">
									<td>Expiry Date</td>
									<td><form:select path="endMonth">
											<form:option value="0">--</form:option>
											<form:option value="1">Jan</form:option>
											<form:option value="2">Feb</form:option>
											<form:option value="3">Mar</form:option>
											<form:option value="4">Apr</form:option>
											<form:option value="5">May</form:option>
											<form:option value="6">Jun</form:option>
											<form:option value="7">Jul</form:option>
											<form:option value="8">Aug</form:option>
											<form:option value="9">Sep</form:option>
											<form:option value="10">Oct</form:option>
											<form:option value="11">Nov</form:option>
											<form:option value="12">Dec</form:option>
										</form:select> <form:select path="endYear">
											<form:option value="0">--</form:option>
											<form:option value="2014">2014</form:option>
											<form:option value="2015">2015</form:option>
											<form:option value="2016">2016</form:option>
											<form:option value="2017">2017</form:option>
											<form:option value="2018">2018</form:option>
											<form:option value="2019">2019</form:option>
										</form:select></td>
								</tr>
								<tr>
									<td>&nbsp;</td>
								</tr>
							</table></td>
						<td width="300" valign="top"><table>
								<tr>
									<td><div id="heading1">
											By clicking the <font color="red">Pay Now</font> button below, you confirm you're happy for me to debit &pound;<c:out value="${checkout.total}" /> from your card
										</div></td>
								</tr>
								<tr>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td><div id="heading1">
											<input type="submit" value="Pay Now" id="submit" />
										</div></td>
								</tr>
							</table></td>
					</tr>
				</table>
			</form:form></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td><table>
				<tr>
					<td><div id="footer">Copyright &copy; 2014 Matthew
							Walton Limited. All rights reserved.</div></td>
					<td><div id="footer">
							<a href="http://matt-walton.co.uk/tandc.htm">Terms &amp;
								Conditions</a>
						</div></td>
					<td><div id="footer">
							<a href="http://matt-walton.co.uk/pp.htm">Privacy Policy</a>
						</div></td>
				</tr>
			</table></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
</table>
