<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<form:form method="post" onSubmit="return shouldContinue()"
	action="text-list-members-submit" commandName="text">
	<table>
		<tr class="divider-bottom">
			<td colspan="2"><div id="heading">
					<spring:message code="text-list-members.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>
		<tr class="input">
			<td><form:label path="list">
					<spring:message code="text.list" />
				</form:label></td>
			<td>${fn:length(text.list)}</td>
		</tr>		
		<tr class="input">
			<td></td>
			<td><input disabled size="3" value="160" name="txtLen"
				id="txtLen"></td>
		</tr>

		<tr class="input">
			<td><form:label path="text">
					<spring:message code="text.text" />
				</form:label></td>
			<td><form:textarea onKeyDown="countChars(this.value)" onKeyUp="countChars(this.value)"  path="text" /></td>
		</tr>
		<tr class="input">
			<td></td>
			<td><input type="submit"
				value="<spring:message code="text.members.submit"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td colspan="4"></td>
		</tr>
	</table>
</form:form>