<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>

<form:form method="post" onSubmit="return shouldContinue()"
	action="update-advice-submit-${advice.adviceId}" commandName="advice">
	<table width="100%">
		<tr class="divider-bottom">
			<td width="100%" colspan="2"><div id="heading">
					<spring:message code="update-advice.heading" />
				</div></td>
		</tr>
		<tr>
			<td width="100%" colspan="2"><form:errors path="*"
					cssClass="errorblock" element="div" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="created">
					<spring:message code="advice.created" />
				</form:label></td>
			<td width="75%"><form:input path="created" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="type">
					<spring:message code="advice.type" />
				</form:label></td>
			<td width="75%"><form:select onchange="showHide(this)" path="type">
					<form:option selected="selected" value="RACING">RACING</form:option>
					<form:option value="SPORTS">SPORTS</form:option>
				</form:select></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="service.serviceId">
					<spring:message code="advice.service" />
				</form:label></td>
			<td width="75%"><form:select path="service.serviceId"
					items="${serviceList}" itemLabel="name" itemValue="serviceId" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="course">
					<spring:message code="advice.course" />
				</form:label></td>
			<td width="75%"><form:input path="course" /></td>
		</tr>
		<tr class="input"  id="timeR">
			<td width="25%"><form:label path="time">
					<spring:message code="advice.time" />
				</form:label></td>
			<td width="75%"><form:input path="time" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="bet">
					<spring:message code="advice.bet" />
				</form:label></td>
			<td width="75%"><form:input path="bet" /></td>
		</tr>
		<tr class="input"  id="racecardNumberR">
			<td width="25%"><form:label path="racecardNumber">
					<spring:message code="advice.racecard_number" />
				</form:label></td>
			<td width="75%"><form:select path="racecardNumber">
					<form:option selected="selected" value="1">1</form:option>
					<form:option value="2">2</form:option>
					<form:option value="3">3</form:option>
					<form:option value="4">4</form:option>
					<form:option value="5">5</form:option>
					<form:option value="6">6</form:option>
					<form:option value="7">7</form:option>
					<form:option value="8">8</form:option>
					<form:option value="9">9</form:option>
					<form:option value="10">10</form:option>
					<form:option value="11">11</form:option>
					<form:option value="12">12</form:option>
					<form:option value="13">13</form:option>
					<form:option value="14">14</form:option>
					<form:option value="15">15</form:option>
					<form:option value="16">16</form:option>
					<form:option value="17">17</form:option>
					<form:option value="18">18</form:option>
					<form:option value="19">19</form:option>
					<form:option value="20">20</form:option>
					<form:option value="21">21</form:option>
					<form:option value="22">22</form:option>
					<form:option value="23">23</form:option>
					<form:option value="24">24</form:option>
					<form:option value="25">25</form:option>
					<form:option value="26">26</form:option>
					<form:option value="27">27</form:option>
					<form:option value="28">28</form:option>
					<form:option value="29">29</form:option>
					<form:option value="30">30</form:option>
					<form:option value="31">31</form:option>
					<form:option value="32">32</form:option>
					<form:option value="33">33</form:option>
					<form:option value="34">34</form:option>
					<form:option value="35">35</form:option>
					<form:option value="36">36</form:option>
					<form:option value="37">37</form:option>
					<form:option value="38">38</form:option>
					<form:option value="39">39</form:option>
					<form:option value="40">40</form:option>
				</form:select></td>
		</tr>
		<tr class="input"  id="marketR">
			<td width="25%"><form:label path="market">
					<spring:message code="advice.market" />
				</form:label></td>
			<td width="75%"><form:input path="market" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="recommendedStake">
					<spring:message code="advice.recommended_stake" />
				</form:label></td>
			<td width="75%"><form:input path="recommendedStake" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="betType">
					<spring:message code="advice.bet_type" />
				</form:label></td>
			<td width="75%"><form:input path="betType" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="bestEarlyPriceEp">
					<spring:message code="advice.best_early_price_ep" />
				</form:label></td>
			<td width="75%"><form:input path="bestEarlyPriceEp" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="bestEpBookieExchange">
					<spring:message code="advice.best_ep_bookie_exchange" />
				</form:label></td>
			<td width="75%"><form:input path="bestEpBookieExchange" /></td>
		</tr>
		<tr class="input" id="betfairStartingPriceBspR">
			<td width="25%"><form:label path="betfairStartingPriceBsp">
					<spring:message code="advice.betfair_starting_price_bsp" />
				</form:label></td>
			<td width="75%"><form:input path="betfairStartingPriceBsp" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="finishingPosition">
					<spring:message code="advice.finishing_position" />
				</form:label></td>
			<td width="75%"><form:input path="finishingPosition" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="wonOrLost">
					<spring:message code="advice.won_or_lost" />
				</form:label></td>
			<td width="75%"><form:input onchange="autoFillLSP(this.value)" path="wonOrLost" /></td>
		</tr>
		<tr class="input">
			<td width="25%"><form:label path="lsAtEp">
					<spring:message code="advice.ls_at_ep" />
				</form:label></td>
			<td width="75%"><form:input path="lsAtEp" /></td>
		</tr>
		<tr class="input" id="lspAtBspR">
			<td width="25%"><form:label path="lspAtBsp">
					<spring:message code="advice.lsp_at_bsp" />
				</form:label></td>
			<td width="75%"><form:input path="lspAtBsp" /></td>
		</tr>
		<tr class="input">
			<td width="25%"></td>
			<td width="75%"><input type="submit"
				value="<spring:message code="advice.updateadvice"/>" /></td>
		</tr>
		<tr class="divider-bottom divider-top">
			<td width="100%" colspan="2"></td>
		</tr>
	</table>
</form:form>
