package uk.co.trinitylogic.skyfall.controller;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.HashMap;
import java.util.Map;

import org.junit.Before;
import org.junit.Test;

import uk.co.trinitylogic.skyfall.form.Advice;

public class TestAdviceController {

	private AdviceController controller;

	@Before
	public void setup() {
		controller = new AdviceController();
	}

	@Test
	public void testListAdvice() throws Exception {
		Map<String, Object> map = new HashMap<String, Object>();
		String view = controller.listAdvice(map);
		assertEquals("list-advice-success", view);
	}

	@Test
	public void testAddAdvice() throws Exception {
		Map<String, Object> map = new HashMap<String, Object>();
		String view = controller.addAdvice(map);
		assertEquals("add-advice", view);
		assertTrue(map.containsKey("advice"));
		assertTrue(map.get("advice") instanceof Advice);
	}
}
