package uk.co.trinitylogic.skyfall.controller;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.springframework.ui.ModelMap;

public class TestLoginController {

	@Test
	public void testlogin() throws Exception {
		ModelMap model = new ModelMap();
		LoginController controller = new LoginController();
		String view = controller.login(model);
		assertEquals("login", view);
	}

	@Test
	public void testLoginerror() throws Exception {
		ModelMap model = new ModelMap();
		LoginController controller = new LoginController();
		String view = controller.loginerror(model);
		assertEquals("login", view);
		assertTrue(model.containsKey("error"));
	}

	@Test
	public void testLogout() throws Exception {
		ModelMap model = new ModelMap();
		LoginController controller = new LoginController();
		String view = controller.logout(model);
		assertEquals("logout", view);
	}

	@Test
	public void testAdminIndex() throws Exception {
		ModelMap model = new ModelMap();
		LoginController controller = new LoginController();
		String view = controller.adminIndex(model, null);
		assertEquals("index", view);
	}
}
