package uk.co.trinitylogic.skyfall.dao;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import uk.co.trinitylogic.skyfall.form.Advice;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration({ "file:src/test/resources/spring-test-context.xml" })
public class TestAdviceDAOImpl {

	@Autowired
	private AdviceDAO adviceDAO;

	@Test
	public void testSearchForAdvices() throws Exception {
		List<Advice> advices;
		advices = adviceDAO.searchForAdvices("BE?FAIR");
		for (Advice advice : advices) {
			System.out.println(advice);
		}
		assertEquals(135, advices.size());
	}

}
