package uk.co.trinitylogic.skyfall.form;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

public class TestService {

	private Service service;

	@Before
	public void before() {
		service = new Service();
	}

	@Test
	public void testSetAndGetServiceId() {
		Integer testServiceId = new Integer(1);
		assertNull(service.getServiceId());
		service.setServiceId(testServiceId);
		assertEquals(testServiceId, service.getServiceId());
	}

	@Test
	public void testSetAndGetDescription() {
		String testDescription = "aDescription";
		assertNull(service.getDescription());
		service.setDescription(testDescription);
		assertEquals(testDescription, service.getDescription());
	}

	@Test
	public void testSetAndGetName() {
		String testName = "aName";
		assertNull(service.getName());
		service.setName(testName);
		assertEquals(testName, service.getName());
	}

	@Test
	public void testSetAndGetShortCode() {
		String testShortCode = "aShortCode";
		assertNull(service.getShortCode());
		service.setShortCode(testShortCode);
		assertEquals(testShortCode, service.getShortCode());
	}

	@Test
	public void testSetAndGetAdvice() {
		List<Advice> testAdvices = new ArrayList<Advice>();
		Advice testAdvice = new Advice();
		testAdvices.add(testAdvice);
		assertNull(service.getAdvice());
		service.setAdvice(testAdvices);
		assertEquals(testAdvices, service.getAdvice());
	}

	@Test
	public void testSetAndGetMember() {
		List<Member> testMembers = new ArrayList<Member>();
		Member testMember = new Member();
		testMembers.add(testMember);
		assertNull(service.getMember());
		service.setMember(testMembers);
		assertEquals(testMembers, service.getMember());
	}

	@Test
	public void testToString() {
		String testToString = "[null|null]";
		assertEquals(testToString, service.toString());
		service.setServiceId(new Integer(1));
		service.setShortCode("aShortCode");
		testToString = "[1|aShortCode]";
		assertEquals(testToString, service.toString());
	}
}
